From Elasticsearch rc1 to GA


#1

Hi,

Wanted to upgrade the rc1 to GA. This came as a surprise:

[Elastic]# rpm -Uvh elasticsearch-5.0.0.rpm
warning: elasticsearch-5.0.0.rpm: Header V4 RSA/SHA512 Signature, key ID d88e42b4: NOKEY
Preparing... ################################# [100%]
package elasticsearch-0:5.0.0_rc1-1.noarch (which is newer than elasticsearch-0:5.0.0-1.noarch) is already installed
[Elastic]#

Ludo


(Jörg Prante) #2

Well, to me this is logical, not a suprise. Elasticsearch RPM added a "_rc1" qualifier to the version which breaks RPM versioning.


(system) #3